{
    attributes = (
        {
            columnName = "CAN_ID"; 
            externalType = NUMBER; 
            name = canId; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MONTANT_HT"; 
            externalType = NUMBER; 
            name = montantHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "SR_ORDRE"; 
            externalType = NUMBER; 
            name = srOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (canId, montantHt, srOrdre); 
    className = "org.cocktail.cocowork.server.metier.convention.RepartSbRecetteCodeAnalytique"; 
    classProperties = (codeAnalytique, montantHt, sbRecette); 
    externalName = "ACCORDS.REPART_SB_RECETTE_C_ANALYTIQUE"; 
    fetchSpecificationDictionary = {}; 
    name = CWRepartSbRecetteCodeAnalytique; 
    primaryKeyAttributes = (canId, srOrdre); 
    relationships = (
        {
            destination = "FwkJefyAdmin_CodeAnalytique"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = canId; sourceAttribute = canId; }); 
            name = codeAnalytique; 
        }, 
        {
            destination = CWSbRecette; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = srOrdre; sourceAttribute = srOrdre; }); 
            name = sbRecette; 
        }
    ); 
}
